commands:

  make: !Command
    description: Build the library
    container: ubuntu
    run: [cargo, build]

  cargo: !Command
    description: Run arbitrary cargo command
    symlink-name: cargo
    container: ubuntu
    run: [cargo]

  test: !Command
    description: Run tests
    container: ubuntu
    run: [cargo, test]

  _bulk: !Command
    description: Run `bulk` command (for version bookkeeping)
    container: ubuntu
    run: [bulk]

containers:

  ubuntu:
    setup:
    - !Ubuntu bionic
    - !Install [ca-certificates, git, build-essential, vim]

    - !TarInstall
      url: "https://static.rust-lang.org/dist/rust-1.34.0-x86_64-unknown-linux-gnu.tar.gz"
      script: "./install.sh --prefix=/usr \
                --components=rustc,rust-std-x86_64-unknown-linux-gnu,cargo"
    - &bulk !Tar
      url: "https://github.com/tailhook/bulk/releases/download/v0.4.11/bulk-v0.4.11.tar.gz"
      sha256: b718bb8448e726690c94d98d004bf7575f7a429106ec26ad3faf11e0fd9a7978
      path: /

    environ:
      HOME: /work/target
